<?php
 
if(isset($_POST['email'])) {
 
     
 
    // EDIT THE 2 LINES BELOW AS REQUIRED
 
    $email_to = "info@padyongsc.com";
 
    $email_subject = "Application Form Alert";
 
     
 
     
 
    function died($error) {
 
        // your error code can go here
 
        echo "We are very sorry, but there were error(s) found with the form you submitted. ";
 
        echo "These errors appear below.<br /><br />";
 
        echo $error."<br /><br />";
 
        echo "Please go back and fix these errors.<br /><br />";
 
        die();
 
    }
 
     
 
    // validation expected data exists
 
    if(!isset($_POST['first_name']) ||
 
        !isset($_POST['last_name']) ||
		
		!isset($_POST['last_name']) ||
 
        !isset($_POST['email']) ||
 
        !isset($_POST['telephone']) ||
		
		!isset($_POST['fax']) ||
		
		!isset($_POST['country']) ||
		
		!isset($_POST['passport']) ||
 
        !isset($_POST['comments'])) {
 
        died('We are sorry, but there appears to be a problem with the form you submitted.');       
 
    }
 
     
 
    $first_name = $_POST['first_name']; // required
 
    $last_name = $_POST['last_name']; // required
	
	$middle_name = $_POST['middle_name']; // required
 
    $email_name = $_POST['email']; // required
 
    $telephone = $_POST['telephone']; // not required
	
	$fax = $_POST['fax']; //  required
	
	$country = $_POST['country']; //  required
	
	$passport = $_POST['passport']; //  required
 
    $comments = $_POST['comments']; // required
 
     
 
    $error_message = "";
 
    $email_exp = "/^[A-Za-z0-9 .',-]+$/";
 
  if(!preg_match($email_exp,$email_name)) {
 
    $error_message .= 'Enter your Name.<br />';
 
  }
 
    $string_exp = "/^[A-Za-z0-9 .'-]+$/";
 
  if(!preg_match($string_exp,$first_name)) {
 
    $error_message .= 'Enter your Date of Birth.<br />';
 
  }
 
  if(!preg_match($string_exp,$last_name)) {
 
    $error_message .= 'Enter your Nationality.<br />';
	
	}
 
  if(!preg_match($string_exp,$middle_name)) {
 
    $error_message .= 'Enter a valid Address.<br />';
 
  }
  if(!preg_match($string_exp,$fax)) {
 
    $error_message .= 'Enter a valid Fax Number.<br />';
 
  }
  if(!preg_match($string_exp,$country)) {
 
    $error_message .= 'Enter your Country.<br />';
 
  }
  if(!preg_match($string_exp,$passport)) {
 
    $error_message .= 'Enter a valid Passport/Drivers Licence Number.<br />';
 
  }
 
  if(strlen($comments) < 2) {
 
    $error_message .= 'Enter a Comment.<br />';
 
  }
 
  if(strlen($error_message) > 0) {
 
    died($error_message);
 
  }
 
    $email_message = "Form details below.\n\n";
 
     
 
    function clean_string($string) {
 
      $bad = array("content-type","bcc:","to:","cc:","href");
 
      return str_replace($bad,"",$string);
 
    }
 
     
 
    $email_message .= "Name: ".clean_string($first_name)."\n";
 
    $email_message .= "Date of Birth: ".clean_string($last_name)."\n";
	
	$email_message .= "Nationality: ".clean_string($middle_name)."\n";
 
    $email_message .= "Current Address: ".clean_string($email_name)."\n";
 
    $email_message .= "Telephone: ".clean_string($telephone)."\n";
	
	$email_message .= "Fax: ".clean_string($fax)."\n";
	
	$email_message .= "Country: ".clean_string($country)."\n";
	
	$email_message .= "Passport/Drivers Licence Number: ".clean_string($passport)."\n";
 
    $email_message .= "Comments: ".clean_string($comments)."\n";
 
     
 
     
 
// create email headers
 
$headers = 'From: '.$email_name."\r\n".
 
'Reply-To: '.$email_name."\r\n" .
 
'X-Mailer: PHP/' . phpversion();
 
@mail($email_to, $email_subject, $email_message, $headers);  

header('Location: success.html');

 
?>
 
 
 
<!-- include your own success html here -->
 

 
 
 
<?php
 
}
 
?>